Welcome to the Linux Foundation Forum!

Lab 7 Command Verification : Org2 joining channel allarewelcome

Command to fetch configuration (mentioned in instruction manual) :
peer channel fetch config Org2AddedConfig.pb -o orderer.example.com:7050 -c allarewelcome
Output :
2020-05-30 09:32:05.921 UTC [main] InitCmd -> WARN 001 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:32:05.926 UTC [main] SetOrdererEnv -> WARN 002 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:32:05.928 UTC [channelCmd] InitCmdFactory -> INFO 003 Endorser and orderer connections initialized
2020-05-30 09:32:05.931 UTC [cli.common] readBlock -> INFO 004 Received block: 3
2020-05-30 09:32:05.932 UTC [cli.common] readBlock -> INFO 005 Received block: 3
2020-05-30 09:32:05.932 UTC [channelCmd] fetch -> INFO 006 Retrieving last config block: 3

Command to join channel (mentioned in instruction manual) :
peer channel join -b Org2AddedConfig.pb
Output :
2020-05-30 09:41:06.924 UTC [main] InitCmd -> WARN 001 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:41:06.929 UTC [main] SetOrdererEnv -> WARN 002 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:41:06.931 UTC [channelCmd] InitCmdFactory -> INFO 003 Endorser and orderer connections initialized
Error: proposal failed (err: bad proposal response 500: cannot create ledger from genesis block: Expected block number=0, received block number=3)

Instead I tried below sequence of commands which worked fine & later commands to install & instantiate chaincode also but I need it to be verified to proceed confidently
Command to fetch configuration (Self Tried) :
peer channel fetch oldest Org2AddedConfig.block -o orderer.example.com:7050 -c allarewelcome
Output :
2020-05-30 09:41:55.997 UTC [main] InitCmd -> WARN 001 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:41:56.003 UTC [main] SetOrdererEnv -> WARN 002 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:41:56.004 UTC [channelCmd] InitCmdFactory -> INFO 003 Endorser and orderer connections initialized
2020-05-30 09:41:56.005 UTC [cli.common] readBlock -> INFO 004 Received block: 0

Command to join channel (Self Tried) :
peer channel join -b Org2AddedConfig.block
Output :
2020-05-30 09:42:00.655 UTC [main] InitCmd -> WARN 001 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:42:00.660 UTC [main] SetOrdererEnv -> WARN 002 CORE_LOGGING_LEVEL is no longer supported, please use the FABRIC_LOGGING_SPEC environment variable
2020-05-30 09:42:00.662 UTC [channelCmd] InitCmdFactory -> INFO 003 Endorser and orderer connections initialized
2020-05-30 09:42:02.229 UTC [channelCmd] executeJoin -> INFO 004 Successfully submitted proposal to join channel

Why in below command name for chaincode is mentioned twice, it looks wrong to me & also file sacc.go must be only sacc. Is it right..?
peer chaincode install -n ccForAll -v 1.1 -n networkChaincode -p github.com/sacc.go

Comments

  • garycrisgarycris Posts: 13

    This command doesn't make any sense to me either

    peer chaincode install -n ccForAll -v 1.1 -n networkChaincode -p github.com/sacc.go

    It appears like they are trying to make a copy of ccForAll and name it networkChaincode, but there is no reason given for this and it doesn't appear to work.

    Lab7 is a complete mess and I have been trying to work my way through it multiple times. I thought I had it but then it blew up again in Lab8 so I am back again trying to work through 7. Currently having an issue upgrading the Chaincode (next step after the one you are on right now). First it errors because the version number is already in use so I tried reinstalling the chaincode with version 1.11. That worked but when I submit it for upgrade it tells me signature set does not satisfy the policy. I'm trying to do the upgrade from Org2.peer0, which is where I'm supposed to be. I can change to Org1 and I know it will work. It is not clear to me if that is the way it is supposed to be done or if it is supposed to work with Org2. I'm going back through other forum posts to try and figure it out.

    Very frustrated and disappointed in the way this course has been put together. There are so many errors in the lab work it is nearly impossible to work through it. It's not that I can't figure out how to do it by doing it a different way based on documentation, but all the labs build on each other, so once you deviate the next lab doesn't work as expected.

  • abhishekabhishek Posts: 2

    Agreed @garycris, Lab 7 is a mess and it's frustrating.
    I guess we've to keep trying & figure out on our own.

  • Yes, removing the .go from the end of that command seems to work for me. @abhishek thanks for the commands.

  • NiklaskkkkNiklaskkkk Posts: 112
    edited June 12

    @LogarithmicTC said:
    Yes, removing the .go from the end of that command seems to work for me. @abhishek thanks for the commands.

    @LogarithmicTC @abhishek Correct, there is a typo in the commands, based on what the file name inside the container. I have forwarded the note to the course administrators.

Sign In or Register to comment.